summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAdam Coldrick <adam.coldrick@codethink.co.uk>2014-05-13 15:03:50 +0000
committerAdam Coldrick <adam.coldrick@codethink.co.uk>2014-05-14 12:46:21 +0000
commit8d5eca20a7526ed1bbe7ac3d8c61b279e9d72d90 (patch)
tree194334d45c60aec87e0fc77b91e92eef0e7cf1ad
parent6b62d04d668c53529839fb9e6431b14b51806b09 (diff)
downloaddefinitions-8d5eca20a7526ed1bbe7ac3d8c61b279e9d72d90.tar.gz
Add required files to install gitlab-ci-runner "automatically"
-rw-r--r--gitlab-ci-runner/etc/systemd/system/ci-runner-units.tarbin0 -> 10240 bytes
-rw-r--r--gitlab-ci-runner/manifest8
-rwxr-xr-xgitlab-ci-runner/usr/share/gitlab-install/install-runner21
3 files changed, 29 insertions, 0 deletions
diff --git a/gitlab-ci-runner/etc/systemd/system/ci-runner-units.tar b/gitlab-ci-runner/etc/systemd/system/ci-runner-units.tar
new file mode 100644
index 00000000..45ebe48e
--- /dev/null
+++ b/gitlab-ci-runner/etc/systemd/system/ci-runner-units.tar
Binary files differ
diff --git a/gitlab-ci-runner/manifest b/gitlab-ci-runner/manifest
new file mode 100644
index 00000000..a5e8e76a
--- /dev/null
+++ b/gitlab-ci-runner/manifest
@@ -0,0 +1,8 @@
+0040755 0 0 /etc
+0040755 0 0 /etc/systemd
+0040755 0 0 /etc/systemd/system
+0100644 0 0 /etc/systemd/system/ci-runner-units.tar
+0040755 0 0 /usr
+0040755 0 0 /usr/share
+0040755 0 0 /usr/share/gitlab-install
+0100755 0 0 /usr/share/gitlab-install/install-gitlab
diff --git a/gitlab-ci-runner/usr/share/gitlab-install/install-runner b/gitlab-ci-runner/usr/share/gitlab-install/install-runner
new file mode 100755
index 00000000..ca5a6cce
--- /dev/null
+++ b/gitlab-ci-runner/usr/share/gitlab-install/install-runner
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+gem install bundler
+
+git config --global http.sslVerify false
+git config --global user.name 'GitLab CI Runner'
+git config --global user.email 'ci_runner@localhost'
+git config --global core.autocrlf input
+
+git clone https://gitlab.com/gitlab-org/gitlab-ci-runner.git
+cd gitlab-ci-runner
+
+bundle install --deployment
+bundle exec ./bin/setup
+nohup bundle exec ./bin/runner &
+
+cd /etc/systemd/system
+tar -xf ci-runner-units.tar
+systemctl enable gitlab-ci-runner.service